# Class ELNode.Nodes

java.lang.Object
org.apache.jasper.compiler.ELNode.Nodes

Enclosing class:
  `ELNode`

public static class ELNode.Nodes extends Object
An ordered list of ELNode.

## Constructor Summary

Constructors
Constructor
Description
`Nodes()`
Creates a new empty Nodes list.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(ELNode en)`
Adds an ELNode to this list.
`boolean`
`containsEL()`
Checks whether the expression contains an EL expression in the form ${...}.
`String`
`getMapName()`
Returns the function map name for this EL expression.
`boolean`
`isEmpty()`
Returns whether this list contains no nodes.
`Iterator<ELNode>`
`iterator()`
Returns an iterator over the nodes in this list.
`void`
`setMapName(String name)`
Sets the function map name for this EL expression.
`void`
`visit(ELNode.Visitor v)`
Visit the nodes in the list with the supplied visitor.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Nodes

public Nodes()
Creates a new empty Nodes list.

## Method Details

### add

public void add(ELNode en)
Adds an ELNode to this list.

Parameters:
  `en` - the node to add

### visit

public void visit(ELNode.Visitor v) throws JasperException
Visit the nodes in the list with the supplied visitor.

Parameters:
  `v` - The visitor used
Throws:
  `JasperException` - if an error occurs while visiting a node

### iterator

public Iterator<ELNode> iterator()
Returns an iterator over the nodes in this list.

Returns:
  an iterator over the nodes

### isEmpty

public boolean isEmpty()
Returns whether this list contains no nodes.

Returns:
  true if empty

### containsEL

public boolean containsEL()
Checks whether the expression contains an EL expression in the form ${...}.

Returns:
  true if the expression contains a ${...}

### setMapName

public void setMapName(String name)
Sets the function map name for this EL expression.

Parameters:
  `name` - the function map name

### getMapName

public String getMapName()
Returns the function map name for this EL expression.

Returns:
  the function map name